/******************************************************************************************/
/******************************************************************************************/
/*                                                                                        */
/* Trigger: DTULTATU_PRODGRUPROMOC                                                        */
/* Tabela : PRODGRUPROMOC                                                                 */
/*                                                                                        */
/* Criao:                                                                               */
/* 02/09/2008 - Wanderson Aloisio                                                         */
/*                                                                                        */
/******************************************************************************************/


CREATE OR REPLACE TRIGGER DTULTATU_PRODGRUPROMOC
BEFORE INSERT OR UPDATE OR DELETE
ON PRODGRUPROMOC FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPRPRC := SYSDATE;

      UPDATE PRODUTO
      SET DTULTATUPROD = SYSDATE
      WHERE CDPRODUTO  = :NEW.CDPRODUTO;

      UPDATE PRODOCORRE
      SET DTULTATUPOCO = SYSDATE
      WHERE CDPRODUTO  = :NEW.CDPRODUTO;

      UPDATE PRODLOJA
      SET DTULTATUPLOJ = SYSDATE
      WHERE CDPRODUTO  = :NEW.CDPRODUTO;

      UPDATE PRODUTOSEG
      SET DTULTATUPSEG = SYSDATE
      WHERE CDPRODUTO  = :NEW.CDPRODUTO;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATUPRPRC := SYSDATE;
      IF :OLD.CDGRUPROMOC <> :NEW.CDGRUPROMOC OR
         :OLD.CDPRODUTO <> :OLD.CDPRODUTO THEN
         INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PRODGRUPROMOC', NULL, 'CDGRUPROMOC='||:OLD.CDGRUPROMOC||
                                                      ';CDPRODUTO='||:OLD.CDPRODUTO||';', SYSDATE);
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PRODGRUPROMOC', NULL, 'CDGRUPROMOC='||:OLD.CDGRUPROMOC||
                                                      ';CDPRODUTO='||:OLD.CDPRODUTO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PRODGRUPROMOC MODIFY DTULTATUPRPRC DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_PRODGRUPROMOC','5.05.023'); END;
/

